#------------------------------------------------
#  This is where most of the configuration parameters are defined
#  also see conf.h
#

#********************************************************************
# $Author: jgoerzen $
# $Revision: 1.10 $
# $Date: 2002/04/26 13:33:33 $
# $Source: /var/cvs/gopher/Makefile.config.in,v $
# $State: Exp $
#
# Paul Lindner, University of Minnesota CIS.
#
# Copyright 1991, 1992 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#********************************************************************
# MODULE: Makefile.config.dist
# Parameters for the gopher distribution
#*********************************************************************
# Revision History:
# $Log: Makefile.config.in,v $
# Revision 1.10  2002/04/26 13:33:33  jgoerzen
# Removed glib MIME stuff.  We'll move to Pygopherd first.
#
# Revision 1.8  2002/03/19 20:42:48  jgoerzen
#   * Removed the DOMAIN configure support, DOMAIN_NAME in gopherd,
#     backupdomain in Socket.c, etc.  This should prevent the no.domain.name
#     problem that people have been seeing.  Regenerated configure stuff.
#
# Revision 1.7  2002/01/11 15:55:59  jgoerzen
#   * Using $(INSTALL) from subdirectories broke on systems
#     where install-sh was used because $(INSTALL) would always
#     resolve to ./install-sh.  Replaced all instances of
#     $(INSTALL) with @INSTALL@ (autoconf would provide the correct
#     path) and removed INSTALL from Makefile.config.  Reported
#     by Don Fike <fike@cs.utk.edu> on Solaris 2.6.
#   * Updated our copy of install-sh with the one from
#     a current automake.
#
# Revision 1.6  2002/01/09 16:29:26  jgoerzen
# More tweaks.
#
# Revision 1.5  2002/01/09 16:25:35  jgoerzen
# Updated.
#
# Revision 1.4  2002/01/09 15:54:48  jgoerzen
# Modifications to assist with installations
#
# Revision 1.3  2000/08/23 00:20:25  jgoerzen
# Use -Wall
#
# Revision 1.2  2000/08/19 01:40:26  jgoerzen
# Fix some pathnames
#
# Revision 1.1.1.1  2000/08/19 00:28:56  jgoerzen
# Import from UMN Gopher 2.3.1 after GPLization
#
# Revision 3.1  1996/01/04  18:52:31  lindner
# Updates for autoconf
#
# Revision 3.22  1995/01/25  23:10:56  lindner
# Modifications to use SOCKS
#
# Revision 3.21  1994/12/11  18:44:04  lindner
# make /gopher-data the gopher-data directory
#
# Revision 3.20  1994/11/30  00:05:40  lindner
# Use cp to do installs, much more portable
#
# Revision 3.19  1994/11/18  23:01:56  lindner
# Add location of freewais-sf
#
# Revision 3.18  1994/11/18  22:45:24  lindner
# don't make freewais-sf the default
#
# Revision 3.17  1994/11/18  22:08:46  lindner
# Add better FreeWAIS code
#
# Revision 3.16  1994/11/07  20:00:48  lindner
# Modifications to use FreeWAIS-sf package
#
# Revision 3.15  1994/08/19  17:02:48  lindner
# Add message about NO_MKTIME
#
# Revision 3.14  1994/08/03  19:34:51  lindner
# Better docs..
#
# Revision 3.13  1994/05/27  04:56:29  lindner
# Use -O
#
# Revision 3.12  1994/03/08  15:54:06  lindner
# Add item for VFORK
#
# Revision 3.11  1994/01/20  06:43:07  lindner
# support for systems that have flock() instead of fcntl()-locking
#
# Revision 3.10  1994/01/12  22:23:46  lindner
# Fixes for Data General
#
# Revision 3.9  1994/01/06  06:58:40  lindner
# Additions for client logging
#
# Revision 3.8  1993/11/03  15:02:26  lindner
# pl10
#
# Revision 3.7  1993/09/22  04:32:32  lindner
# Doc fixes
#
# Revision 3.6  1993/09/03  03:26:12  lindner
# Make sun shared libraries optional
#
# Revision 3.5  1993/07/30  14:21:42  lindner
# A/UX mods, and Mitra autoexit mods
#
# Revision 3.4  1993/07/27  05:33:51  lindner
# Mitra mondo debug overhaul
#
# Revision 3.3  1993/04/15  22:02:32  lindner
# CLIENTOPTS added
#
# Revision 3.2  1993/03/19  19:41:46  lindner
# updates for sco
#
# Revision 3.1.1.1  1993/02/11  18:02:49  lindner
# Gopher+1.2beta release
#
# Revision 1.7  1993/02/09  21:34:03  lindner
# New MAN5DIR line, changed install to install -c
#
# Revision 1.6  1993/01/19  04:52:22  lindner
# Renamed Makefile.config to Makefile.config.dist
#
# Revision 1.5  1993/01/13  16:19:58  lindner
# Changes for SVR4 (add -lnsl to libs line..)
#
# Revision 1.4  1992/12/28  21:45:48  lindner
# Removed trailing slash on CLIENTLIB
#
# Revision 1.3  1992/12/21  20:38:05  lindner
# Added warning about -DBIO (from dgg)
#
# Revision 1.2  1992/12/13  06:10:26  lindner
# Fixed SVR4LIBS line (didn't need bsd stuff anymore) also removed HPLIBS
#
# Revision 1.1  1992/12/10  22:57:05  lindner
# Initial revision
#
#
#********************************************************************/





#------------------------------------------------
# Your favorite C compiler..
#

CC = @CC@

#------------------------------------------------
# Optimization level.
#

#OPT=-g
#OPT=-g -Wunused -W
OPT=@OPT@ -Wall
#------------------------------------------------
# The ranlib command on your system.  Systems without it should still survive

RANLIB = @RANLIB@

#------------------------------------------------
# The install command on your system.  cp works in most cases...

#-------------------------------------------------
# Where shall we install stuff?
#
PREFIX          = @prefix@
prefix		= @prefix@
SYSCONFDIR	= @sysconfdir@
CLIENTDIR	= $(PREFIX)/bin
CLIENTLIB       = $(DESTDIR)/$(SYSCONFDIR)/gopher
SERVERDIR	= $(PREFIX)/sbin
SERVERCONFDIR   = $(DESTDIR)/$(SYSCONFDIR)/gopherd

# On SCO manuals are in /usr/man but its easiest to do a 
# symbolic link from /usr/local/man to /usr/man for this and other packages
MAN1DIR		= @mandir@/man1
MAN5DIR         = @mandir@/man5
MAN8DIR		= @mandir@/man8


#-----------------------------------------------------------------
# DEBUGGING control...
# 
# Comment this to make a slimmer executable...

DEBUGGING = @DEBUGGING@

#------------------------------------------------
# Uncomment out the following lines to use SOCKS

SOCKSFLAGS=@SOCKSFLAGS@
SOCKSLIBS=@SOCKSLIBS@


#-----------------------------------------------------------------
# Optional server features.
#
# Add -DADD_DATE_AND_TIME to add dates and times to the gopher titles
#
# Add -DLOADRESTRICT if you want to restrict access based on load avg.
#     (Note you'll need to add -lkvm in SERVERLIBS)  Note also that this has
#     only been tested under SunOS 4.1.1
#
# Add -DBIO if you're using the biology portion of Don Gilbert's modified
#     wais8b5 that supports boolean and phrase searching.
#     PLEASE NOTE: the -DBIO option is NOT needed nor recommended for use
#     of the boolean and phrase searching portion of this modified wais,
#     just the symbol searching.  But, you must compile wais and gopher with
#     the same option setting (-DBIO or NOT).
#     The source can be gotten from:
#
#       ftp.bio.indiana.edu
#
# Add -DDL and define DLPATH and DLOBJS if you want to include support
#      for Tim Cook's 'dl' databases You will also have to have a
#      working copy the program with source code in the DLPATH
#      directory. The files getdesc.o and enddesc.o must be there.
#      Source for dl can be gotten from:
#
#       ftp.deakin.edu.au
#       pub/describe/describe-1.8.tar.Z  or higher...
#
# Add -DCAPFILES if you want compatibility with the older .cap directory
#
# Add -DSETPROCTITLE if you want to set the process title displayed
#                    by the 'ps' command (only works on bsdish systems...)
#
# Add -DFREEWAIS_0_4 to WAISTYPE to use FreeWAIS version 0.4, this release
#                    had a number of changes to the base release.
#


#SERVEROPTS	= -DSETPROCTITLE -DCAPFILES #-DBIO -DDL -DLOADRESTRICT
SERVEROPTS	= @SERVEROPTS@
WAISTYPE	= @WAISTYPE@

DLPATH		= @DLPATH@
DLOBJS		= @DLOBJS@

#-----------------------------------------------------------------
# Optional client features.
#
# Add -DNOMAIL if you don't want remote users mailing documents
#
# Add -DAUTOEXITONU if you want to treat q and u as the same, and automatically
#      exit from the top menu - usefull if Gopher called from another app.
#
# Add -DNOBANNER if you don't want the banner across the top.
#


CLIENTOPTS = -DNOBANNER -DCTRLCPROMPTS -DCONTROLX #-DNOMAIL -DREMOTEUSER -D

#-----------------------------------------------------------------
# Optional localization and internationalization features
#
# Add -DGINTERNATIONAL if you want localized messages in the client.
# You may need to check the settings of -DNO_LOCALE and -DNO_XPGCAT
#  if your system does not have ANSI C or X/Open libraries respectively.
# You will also need to follow the directions in gopher/locales/README
#  to generate and install the localized messages.

INTLOPTS = @GINTERNATIONAL@

#
# Uncomment out this line to use shared libraries on Sun systems
#

#SHAREDLIB = sun


#-----------------------------------------------------------------
# SERVERDIR is the default directory for gopherd.  It can be 
# overridden on the command line
#
# SERVERPORT is the default port for gopherd.  It too can be
# overridden on the command line.
# 

SERVERDATA	= @GOPHER_DATA@
SERVERPORT	= @GOPHER_PORT@




#=================================================================
#=================================================================
# Stuff that follows shouldn't be changed
#

OBJINCLUDES 	= -I@top_srcdir@/object
OTHERINCLUDES	= -I@top_srcdir@
WAISINCLUDES	= -I@top_srcdir@/wais -I../ui
INCLUDES	= -I@top_srcdir@ -I@top_srcdir@/object 

LDFLAGS		= -L../object
SHELL		= /bin/sh
